#ifndef	MESSAGES_H
#define	MESSAGES_H

#define	IPL_BASENAME		"ipl"
#define	IPL_COMMENT_CHAR	'#'
#define	IPL_DOT_CHAR		','

EXTERN_STRING(ipl_usage)
EXTERN_STRING(ipl_exit_status)
EXTERN_STRING(ipl_integer)
EXTERN_STRING(ipl_key_global)
EXTERN_STRING(ipl_key_random_seed)
EXTERN_STRING(ipl_key_alias)
EXTERN_STRING(ipl_unable_to_open)
EXTERN_STRING(ipl_success)
EXTERN_STRING(ipl_error)

EXTERN_STRING(ipl_open_brace)
EXTERN_STRING(ipl_close_brace)
EXTERN_STRING(ipl_key_source_space)
EXTERN_STRING(ipl_key_rgb)
EXTERN_STRING(ipl_key_hsv)
EXTERN_STRING(ipl_key_cie)
EXTERN_STRING(ipl_key_red)
EXTERN_STRING(ipl_key_green)
EXTERN_STRING(ipl_key_blue)
EXTERN_STRING(ipl_key_alpha)
EXTERN_STRING(ipl_key_hue)
EXTERN_STRING(ipl_key_saturation)
EXTERN_STRING(ipl_key_value)
EXTERN_STRING(ipl_key_cieX)
EXTERN_STRING(ipl_key_cieY)
EXTERN_STRING(ipl_key_cieZ)
EXTERN_STRING(ipl_key_output)
EXTERN_STRING(ipl_key_matrix)
EXTERN_STRING(ipl_key_vector)
EXTERN_STRING(ipl_key_decomposition)
EXTERN_STRING(ipl_key_state)
EXTERN_STRING(ipl_tab_string)
EXTERN_STRING(ipl_eol_string)
/* decomp.c::iplSaveDecompositionDescription */
EXTERN_STRING(ipl_key_source_dimension)
EXTERN_STRING(ipl_key_depth_range)
EXTERN_STRING(ipl_key_area_range)
EXTERN_STRING(ipl_key_value_range)
EXTERN_STRING(ipl_key_at_depth)
EXTERN_STRING(ipl_key_leafs)
EXTERN_STRING(ipl_key_values)
EXTERN_STRING(ipl_key_histogram)

EXTERN_DEBUG_MESSAGE(ipl_type_mismatch)
EXTERN_DEBUG_MESSAGE(ipl_duplicate_definition)
EXTERN_DEBUG_MESSAGE(ipl_name_in_use)
EXTERN_DEBUG_MESSAGE(ipl_circular_reference)
EXTERN_DEBUG_MESSAGE(ipl_wrong_colorspace)
EXTERN_DEBUG_MESSAGE(ipl_unknown_channel)
EXTERN_DEBUG_MESSAGE(ipl_size_mismatch)
EXTERN_DEBUG_MESSAGE(ipl_not_square)
EXTERN_DEBUG_MESSAGE(ipl_domain_mismatch)
EXTERN_DEBUG_MESSAGE(ipl_not_enought_channels)
EXTERN_DEBUG_MESSAGE(ipl_using_state)
EXTERN_DEBUG_MESSAGE(ipl_null_func_arg)
EXTERN_DEBUG_MESSAGE(ipl_range_error)
EXTERN_DEBUG_MESSAGE(ipl_wrong_bounds)
EXTERN_DEBUG_MESSAGE(ipl_wrong_domain)
EXTERN_DEBUG_MESSAGE(ipl_not_powers2)
EXTERN_DEBUG_MESSAGE(ipl_fft_requires_powers2)
EXTERN_DEBUG_MESSAGE(ipl_state_size_unset)
EXTERN_DEBUG_MESSAGE(ipl_state_wh_unset)
EXTERN_DEBUG_MESSAGE(ipl_already_frequency)
EXTERN_DEBUG_MESSAGE(ipl_already_spatial)
EXTERN_DEBUG_MESSAGE(ipl_invalid_operation)
EXTERN_DEBUG_MESSAGE(ipl_not_found)
EXTERN_DEBUG_MESSAGE(ipl_redefinition)
EXTERN_DEBUG_MESSAGE(ipl_state_invalidated)
EXTERN_DEBUG_MESSAGE(ipl_constant_matrix)

#endif	/* !MESSAGES_H */
